Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.logging
Class JettyLoggerAdapter

    java.lang.Object
      org.neo4j.server.logging.JettyLoggerAdapter

All Implemented Interfaces:
  org.mortbay.log.Logger

    public class JettyLoggerAdapter

extends Object
implements org.mortbay.log.Logger

Simple wrapper over the neo4j native logger class for getting jetty to use our logging framework. See the Jetty Debug page for more info.

Author:
  Chris Gioran

Constructor Summary
`JettyLoggerAdapter()`

Method Summary
`void` | `debug(String arg0, Object arg1, Object arg2)`
`void` | `debug(String arg0, Throwable arg1)`
`org.mortbay.log.Logger` | `getLogger(String arg0)`
`void` | `info(String arg0, Object arg1, Object arg2)`
`boolean` | `isDebugEnabled()`
`void` | `setDebugEnabled(boolean arg0)`
`void` | `warn(String arg0, Object arg1, Object arg2)`
`void` | `warn(String arg0, Throwable arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyLoggerAdapter

    public JettyLoggerAdapter()

Method Detail

### debug

    public void debug(String arg0,
                      Throwable arg1)

  Specified by:
    `debug` in interface `org.mortbay.log.Logger`

### debug

    public void debug(String arg0,
                      Object arg1,
                      Object arg2)

  Specified by:
    `debug` in interface `org.mortbay.log.Logger`

### getLogger

    public org.mortbay.log.Logger getLogger(String arg0)

  Specified by:
    `getLogger` in interface `org.mortbay.log.Logger`

### info

    public void info(String arg0,
                     Object arg1,
                     Object arg2)

  Specified by:
    `info` in interface `org.mortbay.log.Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.mortbay.log.Logger`

### setDebugEnabled

    public void setDebugEnabled(boolean arg0)

  Specified by:
    `setDebugEnabled` in interface `org.mortbay.log.Logger`

### warn

    public void warn(String arg0,
                     Throwable arg1)

  Specified by:
    `warn` in interface `org.mortbay.log.Logger`

### warn

    public void warn(String arg0,
                     Object arg1,
                     Object arg2)

  Specified by:
    `warn` in interface `org.mortbay.log.Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.